<div>
    <h2 class="">All Products</h2> &nbsp;&nbsp;
    <button class="btn btn-sm bg-primary">Add Product</button>
</div>
<div class="jumbotron">
    <form action="" #ref="ngForm" (ngSubmit)="formData(ref.value)">

      <!--Uploading image-->
      <div class="form-group">
        <label for="h">Upload image</label>
        <input type="file" name="image" id="h" (change)="selectImage($event.target.files[0])"  class="form-control" ngModel placeholder="hi">
      </div>

      <!--preview image-->
      <div class="form-group">
        <input type="image" [src]="imageUrl" alt="" class="form-control w-25 h-25">
      </div>

      <!-- <div class="form-group">
        <input type="text" name="hello" id="" ngModel>
      </div> -->
      <div>
        <button type="submit" class="btn btn-success">Upload</button>
      </div>
      <!-- <input type="text" name="" id="" class="form-control">
      <input type="text" name="" id="" class="form-control">
      <input type="number" name="" id="" class="form-control"> -->
    </form>
</div>
